Skip to main content
GET
Get a contract

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

extend
enum<string>[]

Extend options (JSON-encoded array, e.g. ?extend=["category"]):

  • "active-document": Adds activeDocument (the current contractual period, or null).
  • "counts": Adds routineCount/complianceCount (read-only - linkage is written from routine/rule).
  • "actions-info": Projects { canBeUpdated, canBeArchived, canBeUnarchived, canBeDeleted, canBeTerminated, canBeClosed, canBeRenewed }.
Available options:
active-document,
counts,
actions-info

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
ref
string
required
Maximum string length: 40
Pattern: ^[A-Z]+-[1-9]\d*(?:-[A-Z]+-[1-9]\d*)*$
name
string
required
Required string length: 1 - 150
description
string | null
required
Maximum string length: 2000
type
enum<string>
required
Available options:
preventive,
training
status
enum<string>
required
Available options:
pending,
active,
expired,
terminated,
closed
providerId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
archivedAt
string<date-time> | null
required
deletedAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
activeDocument
object | null
routineCount
integer
Required range: -9007199254740991 <= x <= 9007199254740991
complianceCount
integer
Required range: -9007199254740991 <= x <= 9007199254740991
actions
object